import { Injectable } from '@angular/core';

@Injectable({
	providedIn: 'root'
})
export class AppNativeWrapperService {
	constructor() { }

	public enabled(): boolean {
		return 'NativeWrapperBridge' in window;
	}

	public setZoomLevel(value) {
		if (this.enabled()) {
			return (window as any).NativeWrapperBridge.setZoomLevel(value);
		}
	}

	public getPathSeparator(): Promise<string> {
		if (!this.enabled()) {
			return new Promise((resolve, reject) => {
				reject();
			});
		}

		return (window as any).NativeWrapperBridge.getPathSeparator();
	}

	public getHomeDir(): Promise<string> {
		if (!this.enabled()) {
			return new Promise((resolve, reject) => {
				reject();
			});
		}

		return (window as any).NativeWrapperBridge.getHomeDir();
	}

	public getElectronVersion(): Promise<string> {
		if (!this.enabled()) {
			return new Promise((resolve, reject) => {
				reject();
			});
		}

		return (window as any).NativeWrapperBridge.getElectronVersion();
	}

	public launchCalculator() {
		if (this.enabled()) {
			return (window as any).NativeWrapperBridge.launchCalculator();
		}
	}

	public setTaskbarProgress(value: number) {
		if (this.enabled()) {
			return (window as any).NativeWrapperBridge.setTaskbarProgress(value);
		}
	}

	public localFiles(filePath: string): Promise<string> {
		if (!this.enabled()) {
			return new Promise((resolve, reject) => {
				reject();
			});
		}

		return (window as any).NativeWrapperBridge.localFiles(filePath);
	}
}
